# StationViewWindow Struct Reference

The StationView window. More...

Inheritance diagram for StationViewWindow:

## Public Member Functions
| StationViewWindow (const WindowDesc *desc, WindowNumber window_number)
virtual void | OnPaint ()
| This window is currently being repainted.
void | HandleCargoWaitingClick (int row)
virtual void | OnClick (Point pt, int widget)
| A click with the left mouse button has been made on the window.
virtual void | OnQueryTextFinished (char *str)
| The query window opened from this window has closed.
virtual void | OnResize (Point new_size, Point delta)
| Called when the window got resized.
## Data Fields
uint32 | cargo
| Bitmask of cargo types to expand.
uint16 | cargo_rows [NUM_CARGO]
| Header row for each cargo type.

## Detailed Description

The StationView window.

Definition at line 707 of file station_gui.cpp.

## Member Function Documentation

virtual void StationViewWindow::OnClick | ( | Point | pt,
|  | int | widget |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.

Reimplemented from Window.

Definition at line 903 of file station_gui.cpp.

References _ctrl_pressed, CS_ALPHANUMERAL, MAX_LENGTH_STATION_NAME_BYTES, MAX_LENGTH_STATION_NAME_PIXELS, Window::owner, Station::owner, OWNER_NONE, QSF_ENABLE_DEFAULT, ResizeWindowForWidget(), Window::SetDirty(), ShowQueryString(), SVW_ACCEPTLIST, SVW_LOCATION, SVW_PLANES, SVW_RATINGS, SVW_RENAME, SVW_ROADVEHS, SVW_SHIPS, SVW_TRAINS, SVW_WAITING, and Point::y.

virtual void StationViewWindow::OnQueryTextFinished | ( | char * | str | ) | `[inline, virtual]`

The query window opened from this window has closed.

Parameters:

  | str | the new value of the string or NULL if the window was cancelled.

Reimplemented from Window.

Definition at line 971 of file station_gui.cpp.

References CMD_MSG, CMD_RENAME_STATION, and DoCommandP().

virtual void StationViewWindow::OnResize | ( | Point | new_size,
|  | Point | delta |
| ) |  |  | `[inline, virtual]`

Called when the window got resized.

Parameters:

  | new_size | the new size of the window.
  | delta | the amount of which the window size changed.

Reimplemented from Window.

Definition at line 978 of file station_gui.cpp.

References Scrollbar::cap, Window::resize, ResizeButtons(), ResizeInfo::step_height, SVW_LOCATION, SVW_RENAME, Window::vscroll, Point::x, and Point::y.

The documentation for this struct was generated from the following file:

- src/station_gui.cpp